/* =========================================================================

NAME: HeadShot

AUTHOR: Oleg Butrin (obutrin@indesign.rudtp.ru)
HOMEPAGE: http://indesign.rudtp.ru
DATE  : 18.12.2003 9:37

COMMENT:
Script make proportional headers

RIGHT:
You have the right to use and distribute this script.
You have the right to modify this script for own needs. 
It is desirable to send the variant to the author of a script.
You have no right to distribute the modified script from author's name.
You have no right to have profit from sale of a script.

The author of a script does not sustain the responsibility in all cases of loss data and other kinds of losses if they have arisen in the time of using a script.
You use this script at your own fear and risk.

============================================================================ */
var myStep = 1
//Check selection
with (app){
	if (documents.length<1){
		alert("No documents open!");
		exit();
	}
	if (selection.length!=1){
		alert("Select only one text frame!");
		exit();
	}
	if (selection[0].constructor.name!="TextFrame") {
		alert("Select only text frame!");
		exit();
	}
	var myTextFrame = selection[0];
//Save number of lines		
	var myTextFameLines = myTextFrame.lines.length
//For each lines...	
	for (myCounter = 0; myCounter<myTextFameLines; myCounter++) {
//Change justification (left)		
		myTextFrame.lines[myCounter].justification = 1818584692;
		myTextFrame.lines[myCounter].hyphenation = false;
		var myIPCount = myTextFrame.lines[myCounter].insertionPoints.length - 1;
//Resize line to textframe geometric bounds		
		while (myTextFrame.lines[myCounter].insertionPoints[myIPCount].horizontalOffset < myTextFrame.geometricBounds[3]) {
			myTextFrame.lines[myCounter].pointSize = myTextFrame.lines[myCounter].pointSize + myStep;
//Check change lines length
			if (myTextFrame.lines.length != myTextFameLines) {
				activeDocument.undo();
				break;
			}
		}
//Change justification to full justify
		myTextFrame.lines[myCounter].justification = 1718971500;
	}
//Change fitting to content
	myTextFrame.fit(1718906723);
}